[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
[equinox-dev] Servlet Bridge

I am trying to use servletbridge to get OSGi in tomcat as described at

http://www.eclipse.org/equinox/server/http_in_container.php
http://eclipse.dzone.com/articles/embedding-osgi-tomcat

I got it to work using the pre-built bridge.war.
However that was last built in 2007.
I'd like to use a newer version of OSGi, so I tried to build my
own version of bridge.war with new OSGi but that didn't work.

The servletbridge JAR itself is still from 2007 so it is possible it
is not compatible with newer versions of OSGi.  Does anyone know about
this?  I couldn't find a newer servletbridge.  Does anyone know if one
exists or if this project is being maintained?

The JARs I tried to use were

org.eclipse.core.jobs-3.5.0.v20100515.jar
org.eclipse.equinox.common-3.6.0.v20100503.jar
org.eclipse.equinox.http.registry-1.0.0-v20070608.jar
org.eclipse.equinox.http.servlet-1.0.0-v20070606.jar
org.eclipse.equinox.http.servletbridge-1.0.0-v20070523.jar
org.eclipse.equinox.registry-3.5.0.v20100503.jar
org.eclipse.osgi-3.6.0.v20100517.jar
org.eclipse.osgi.services-3.2.100.v20100503.jar
org.eclipse.update.configurator-3.2.100-v20070615.jar

and the error looked like

May 16, 2012 3:06:19 PM org.apache.catalina.core.ApplicationContext log
SEVERE: StandardWrapper.Throwable
java.lang.RuntimeException: Could not find framework
at 
org.eclipse.equinox.servletbridge.FrameworkLauncher.buildInitialPropertyMap
(FrameworkLauncher.java:288)
at 
org.eclipse.equinox.servletbridge.FrameworkLauncher.start(FrameworkLauncher
.java:200)
at 
org.eclipse.equinox.servletbridge.BridgeServlet.init(BridgeServlet.java:63)
at javax.servlet.GenericServlet.init(GenericServlet.java:212)
at 
org.apache.catalina.core.StandardWrapper.loadServlet(StandardWrapper.java:1
206)
...


Thanks,
Dan